// * This module contains data & proclaimations borrowed
// * from the Infinity Windoid, written by Troy Gaul.
// * 1991-1995 Infinity Systems.  All Rights Reserved.

#ifndef __WindoidUtil__
#define __WindoidUtil__

// -----------------------------------------------------------------------------

#ifndef __WindoidDefines__
//#include "WindoidDefines.h"
#endif

#ifdef __cplusplus
extern "C"
{
#endif

#define IsOdd(value) ((value) & 1)
#define IsEven(value) (!IsOdd(value))

enum {
	wHiliteColorLight = 5, 
	wHiliteColorDark,
	wTitleBarLight,
	wTitleBarDark,
	wDialogLight,
	wDialogDark,
	wTingeLight,
	wTingeDark
};

// -----------------------------------------------------------------------------

void WctbForeColor(WindowPeek window, short partCode);

void WctbBackColor(WindowPeek window, short partCode);

void GetWctbColor(WindowPeek window, short partCode, RGBColor *theColor);

#ifdef __cplusplus
}
#endif
// *****************************************************************************
#endif